Package ch.qos.logback.access.filter

## Interface StatisticalView

All Known Implementing Classes:
  `StatisticalViewImpl`

    public interface StatisticalView

### Method Summary

All Methods Instance Methods Abstract Methods
`double` `getDailyAverage()`
`double` `getHourlyAverage()`
`long` `getLastDaysCount()`
`long` `getLastHoursCount()`
`long` `getLastMinuteCount()`
`long` `getLastMonthsCount()`
`long` `getLastWeeksCount()`
`double` `getMinuteAverage()`
`double` `getMonthlyAverage()`
`long` `getTotal()`
`double` `getWeeklyAverage()`

### Method Detail

#### getTotal

    long getTotal()

#### getLastMinuteCount

    long getLastMinuteCount()

#### getMinuteAverage

    double getMinuteAverage()

#### getLastHoursCount

    long getLastHoursCount()

#### getHourlyAverage

    double getHourlyAverage()

#### getLastDaysCount

    long getLastDaysCount()

#### getDailyAverage

    double getDailyAverage()

#### getLastWeeksCount

    long getLastWeeksCount()

#### getWeeklyAverage

    double getWeeklyAverage()

#### getLastMonthsCount

    long getLastMonthsCount()

#### getMonthlyAverage

    double getMonthlyAverage()